local Obj = {}

-- On charge toutes les différentes types d'acteurs
local cwd  = (...):gsub('%.init$', '') .. "."
Obj.Player  = require(cwd .. "player")
Obj.Box     = require(cwd .. "box")
Obj.Coin    = require(cwd .. "coin")
Obj.GFX     = require("birb.modules.world.actors.gfx3D")

Obj.index     = {}
Obj.index["player"]   = Obj.Player
Obj.index["box"]      = Obj.Box
Obj.index["coin"]     = Obj.Coin

Obj.collisions = {}
Obj.collisions["wall"] = require(cwd .. "wall")

return Obj
